<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <title>{% block title %}{{ title }}{% endblock %}</title>
    <meta property="og:title" content="{{ title }}"/>
    <meta property="og:description" content="{{ description }}"/>
    <meta property="og:image" content="{{ asset('assets/img/logo-text.svg') }}"/>
    <meta property="og:url" content="{{ app.request.uri }}"/>
    <meta name="twitter:title" content="{{ title }}"/>
    <meta name="twitter:description" content="{{ description }}"/>
    <meta name="twitter:image" content="{{ asset('assets/img/logo-text.svg') }}"/>
    <meta name="twitter:card" content="summary_large_image"/>

    <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('assets/img/favicons/apple-touch-icon.png') }}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ asset('assets/img/favicons/favicon-32x32.png') }}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('assets/img/favicons/favicon-16x16.png') }}">
    <link rel="manifest" href="{{ asset('assets/img/favicons/site.webmanifest') }}">

    <link href="{{ asset('assets/css/main.css') }}" rel="stylesheet">
    {% block stylesheets %} {% endblock %}
</head>
<body>
    <div class="wrapper">
        {% block header %}
            <header class="header">
                <div class="inner header__inner">
                    <a class="header__logo" href="{{ path('home') }}"><img src="{{ asset('assets/img/logo-text.svg') }}"></a>
                    <div class="header__handle">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 40 40">
                            <path fill="currentColor" d="M29.6,27.2H10.4c-0.4,0-0.7-0.3-0.7-0.7v-0.9c0-0.4,0.3-0.7,0.7-0.7h19.1c0.4,0,0.7,0.3,0.7,0.7v0.9C30.3,26.9,29.9,27.2,29.6,27.2z M30.3,20.4v-0.9c0-0.4-0.3-0.7-0.7-0.7H10.4c-0.4,0-0.7,0.3-0.7,0.7v0.9c0,0.4,0.3,0.7,0.7,0.7h19.1C29.9,21.1,30.3,20.8,30.3,20.4z M30.3,14.4v-0.9c0-0.4-0.3-0.7-0.7-0.7H10.4c-0.4,0-0.7,0.3-0.7,0.7v0.9c0,0.4,0.3,0.7,0.7,0.7h19.1C29.9,15.1,30.3,14.8,30.3,14.4z"/>
                        </svg>
                    </div>
                    <div class="header__overlay"></div>
                    <div class="header__menu">
                        <div class="header__menu-handle">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 40 40">
                                <path fill="currentColor" d="M27.6,27L27,27.6c-0.3,0.3-0.8,0.2-1.1-0.1L20,21.6l-6,6c-0.3,0.3-0.7,0.3-1,0L12.4,27c-0.3-0.3-0.3-0.7,0-1l6-6l-6-6c-0.3-0.3-0.3-0.7,0-1l0.6-0.6c0.3-0.3,0.7-0.3,1,0l6,6l6-6c0.3-0.3,0.7-0.3,1,0l0.6,0.6c0.3,0.3,0.2,0.8-0.1,1.1L21.6,20l6,6C27.9,26.3,27.9,26.7,27.6,27z"/>
                            </svg>
                        </div>
                        <menu class="menu">
                            <div class="menu__list">
                                <div class="menu__item {{ (app.request.get('_route') == 'catalog') ? 'is-active' : null }}">
                                    <a class="menu__item-inner" href="{{ path('catalog') }}">Каталог</a>
                                </div>
                                <div class="menu__item {{ (app.request.get('_route') == 'about') ? 'is-active' : null }}">
                                    <a class="menu__item-inner" href="{{ path('about') }}">О нас</a>
                                </div>
                                {% if reviewsCount > 0 %}
                                <div class="menu__item {{ (app.request.get('_route') == 'review') ? 'is-active' : null }}">
                                    <a class="menu__item-inner" href="{{ path('review') }}">Отзывы</a>
                                </div>
                                {% endif %}
                                <div class="menu__item {{ (app.request.get('_route') == 'article') ? 'is-active' : null }}">
                                    <a class="menu__item-inner" href="{{ path('article') }}">ПреМудрости</a>
                                </div>
                                <div class="menu__item {{ (app.request.get('_route') == 'contact') ? 'is-active' : null }}">
                                    <a class="menu__item-inner" href="{{ path('contact') }}">Контакты</a>
                                </div>
                                <div class="menu__item menu__item_cart {% if cartCount > 0 %}menu__item_incart{% endif %}" data-tooltip=".menu__tooltip">
                                    <a class="menu__item-inner" href="{{ path('cart') }}">
                                        <div class="menu__icon">
                                            <img src="{{ asset('assets/img/icons/cart.svg') }}" alt="Корзина">
                                            <span>{% if cartCount > 0 %}{{ cartCount }}{% endif %}</span>
                                        </div>
                                        <span>Корзина</span>
                                    </a>
                                    <div class="menu__tooltip">
                                        <div class="menu__dropdown">
                                            {% if cartCount > 0 %}
                                                В корзине {{ cartCount }} {{ cartCount | declension('товар', 'товара', 'товаров') }}
                                            {% else %}
                                                В корзине пусто
                                            {% endif %}
                                        </div>
                                    </div>
                                </div>
                                <div class="menu__item">
                                    <label for="id-input-search" class="menu__item-inner js-open-search">
                                        <div class="menu__icon">
                                            <img src="{{ asset('assets/img/icons/search.svg') }}" alt="Поиск по сайту">
                                        </div>
                                        <span>Поиск</span>
                                    </label>
                                </div>
                                <div class="menu__item" data-tooltip=".menu__tooltip">
                                    <a class="menu__item-inner"
                                       {% if is_granted('IS_AUTHENTICATED_FULLY') or is_granted('IS_AUTHENTICATED_REMEMBERED') %}
                                       href="{{ path('lk') }}"
                                       {% else %}
                                       href="#" data-popup-open=".popup_login"
                                       {% endif %}
                                    >
                                        <div class="menu__icon">
                                            <img src="{{ asset('assets/img/icons/user.svg') }}" alt="Личный кабинет">
                                        </div>
                                        <span>Личный кабинет</span>
                                    </a>
                                    <div class="menu__tooltip">
                                        <div class="menu__dropdown">
                                            {% if is_granted('IS_AUTHENTICATED_FULLY') or is_granted('IS_AUTHENTICATED_REMEMBERED') %}
                                                <p><a href="{{ path('lk') }}">Перейти в личный кабинет</a></p>
                                                {% if is_granted('ROLE_GOD') or is_granted('ROLE_ADMIN') %}
                                                    <p><a href="{{ path('admin') }}">Перейти в панель администратора</a></p>
                                                {% endif %}
                                                <p><a href="{{ path('apiLogout') }}" data-post>Выйти</a></p>
                                            {% else %}
                                                <p><a href="#" data-popup-open=".popup_login">Войти</a></p>
                                                <p><a href="#" data-popup-open=".popup_register">Зарегистрироваться</a></p>
                                                <p><a href="#" data-popup-open=".popup_restore">Восстановить пароль</a></p>
                                            {% endif %}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </menu>
                    </div>
                </div>
            </header>
            <div class="search">
                <div class="search-overlay"></div>
                <div class="search-layout">
                    <div class="search-wrap">
                        <form action="{{ path('search') }}" method="post" autocomplete="off">
                            <div class="search-input">
                                <input id="id-input-search" class="search-input__field" type="search" name="search" placeholder="Поиск товаров и статей" autocomplete="off">
                                <div class="search-input__clear"></div>
                            </div>
                        </form>
                    </div>
                    <div class="search-result sb-native"></div>
                </div>
            </div>
        {% endblock %}
        <div class="website">
            {% block website %}{% endblock %}
        </div>
        <div class="inner">
            <hr>
        </div>
        {% block footer %}
            <footer class="footer">
                <div class="inner">
                    <div class="footer__menu">
                        <div class="footer__menu-group">
                            <div class="footer__menu-title">Сайт</div>
                            <div class="footer__menu-list">
                                <div class="footer__menu-item"><a href="{{ path('home') }}">Главная</a></div>
                                <div class="footer__menu-item"><a href="{{ path('products') }}">Каталог продуктов</a></div>
                                <div class="footer__menu-item"><a href="{{ path('catalog') }}">Категории</a></div>
                                <div class="footer__menu-item"><a href="#">Блог</a></div>
                            </div>
                        </div>
                        <div class="footer__menu-group">
                            <div class="footer__menu-title">Покупателям</div>
                            <div class="footer__menu-list">
                                <div class="footer__menu-item"><a href="{{ path('sales') }}">Скидки</a></div>
                                <div class="footer__menu-item"><a href="{{ path('delivery') }}">Заказ и доставка</a></div>
                                <div class="footer__menu-item"><a href="{{ path('faq') }}">Вопросы и ответы</a></div>
                                <div class="footer__menu-item"><a href="{{ path('politics') }}">Политика конфеденциальности</a></div>
                            </div>
                        </div>
                        <div class="footer__menu-group">
                            <div class="footer__menu-title">О нас</div>
                            <div class="footer__menu-list">
                                <div class="footer__menu-item"><a href="{{ path('contact') }}">Контакты</a></div>
                                <div class="footer__menu-item"><a href="#" data-popup-open=".popup_feedback">Обратная связь</a></div>
                                <div class="footer__menu-item"><a href="{{ path('contact') }}#requisites">Реквизиты</a></div>
                                <div class="footer__menu-item"><a href="{{ path('contact') }}">Соц сети</a></div>
                            </div>
                        </div>
                        <div class="footer__menu-group">
                            <div class="footer__menu-title">Контакты</div>
                            <div class="footer__menu-list">
                                <div class="footer__menu-item">Тел.: <a href="tel:+79219039458">+7-921-903-94-58</a></div>
                                <div class="footer__menu-item">Тел.: <a href="tel:+79119034131">﻿+7-911-903-41-31</a></div>
                                <div class="footer__menu-item">Email: <a href="mailto:suvenir.promisel@gmail.com">suvenir.promisel@gmail.com</a></div>
                                <div class="footer__menu-item">Адрес: <a href="#">г.Санкт-Петербург, ул. Новоселов д.49</a></div>
                            </div>
                        </div>
                    </div>
                    <div class="footer__rights">Copyright © 2020. Все права защищены</div>
                </div>
            </footer>
        {% endblock %}
        {% if not is_granted('IS_AUTHENTICATED_FULLY') %}
        <div class="popup popup_login">
            <div class="popup__overlay"></div>
            <div class="popup__inner">
                <div class="popup__layout">
                    <div class="popup__close"></div>
                    <div class="popup__content">
                        <form class="form form_auth" action="{{ path('apiLogin') }}" method="post" autocomplete="off" data-from-name="login">
                            <div class="form-item">
                                <div class="form-title">Логин (email)</div>
                                <div class="form-field">
                                    <div class="form-input form-input_text">
                                        <input name="login" type="text" placeholder="Email">
                                    </div>
                                </div>
                            </div>
                            <div class="form-item">
                                <div class="form-title">Пароль</div>
                                <div class="form-field">
                                    <div class="form-input form-input_text">
                                        <input value="" name="password" type="password" placeholder="Пароль">
                                    </div>
                                </div>
                            </div>
                            <div class="form-item form-item_submit">
                                <div class="form-field">
                                    <div class="form-input form-input_button">
                                        <div class="btn fill" data-form-action="submit">Войти
                                        </div>
                                    </div><span>&nbsp;&nbsp;или&nbsp;</span><a href="#" data-popup-open=".popup_register">Зарегистрироваться</a>
                                    <div><a href="#" data-popup-open=".popup_restore">(Забыли пароль)</a></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="popup popup_register">
            <div class="popup__overlay"></div>
            <div class="popup__inner">
                <div class="popup__layout">
                    <div class="popup__close"></div>
                    <div class="popup__content">
                        <form class="form form_auth" action="{{ path('apiRegistration') }}" method="post" autocomplete="off" data-from-name="register">
                            <div class="form-item">
                                <div class="form-title">Email</div>
                                <div class="form-field">
                                    <div class="form-input form-input_text">
                                        <input name="email" type="text" placeholder="Email">
                                    </div>
                                </div>
                            </div>
                            <div class="form-item">
                                <div class="form-title">Придумайте пароль</div>
                                <div class="form-field">
                                    <div class="form-input form-input_text">
                                        <input name="password" type="password" placeholder="Пароль">
                                    </div>
                                </div>
                            </div>
                            <div class="form-item">
                                <div class="form-title">Фамилия Имя Отчество</div>
                                <div class="form-field">
                                    <div class="form-input form-input_text">
                                        <input name="fio" type="text" placeholder="Как к вам обращаться?">
                                    </div>
                                </div>
                            </div>
                            <div class="form-item">
                                <div class="form-title">Телефон</div>
                                <div class="form-field">
                                    <div class="form-input form-input_text">
                                        <input name="mobile" type="text" placeholder="Номер мобильного телефона"  data-mask="+7 999 999-99-99">
                                    </div>
                                </div>
                            </div>
                            {#<div class="form-item">
                                <div class="form-title">Адрес</div>
                                <div class="form-field">
                                    <div class="form-input form-input_text">
                                        <input name="address" type="text" placeholder="Адрес">
                                    </div>
                                </div>
                            </div>#}
                            <div class="form-item">
                                <div class="form-field">
                                    <div class="form-input form-input_checkbox">
                                        <label>
                                            <input type="checkbox" name="legal" value="1" onchange="document.getElementById('b-requisites').style.display = this.checked ? 'block' : 'none'">
                                            <span>Юридическое лицо</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="form-item" id="b-requisites" style="display: none">
                                <div class="form-title">Банковские реквизиты (для юридических лиц)</div>
                                <div class="form-field">
                                    <div class="form-input form-input_textarea">
                                        <textarea name="requisites" placeholder="Банковские реквизиты"></textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="form-item">
                                <div class="form-field">
                                    <div class="form-input form-input_checkbox">
                                        <label>
                                            <input type="checkbox" name="subscribe" value="1"><span>Присылать мне на почту информацию об акциях магазина</span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="form-item">
                                <div class="form-field">
                                    <div class="form-text">Регистрируясь, Вы соглашаетесь с правилами <a href="{{ path('politics') }}" target="_blank">политики конфиденциальности</a>.</div>
                                </div>
                            </div>
                            <div class="form-item form-item_submit">
                                <div class="form-field">
                                    <div class="form-input form-input_button">
                                        <div class="btn fill" data-form-action="submit">Зарегистрироваться
                                        </div>
                                    </div><span>&nbsp;&nbsp;или&nbsp;</span><a href="#" data-popup-open=".popup_login">Авторизоваться</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="popup popup_restore">
            <div class="popup__overlay"></div>
            <div class="popup__inner">
                <div class="popup__layout">
                    <div class="popup__close"></div>
                    <div class="popup__content">
                        <form class="form form_auth" action="{{ path('apiRestore') }}" method="post" autocomplete="off" data-from-name="restore">
                            <div class="form-item">
                                <div class="form-title">Логин (email)</div>
                                <div class="form-field">
                                    <div class="form-input form-input_text">
                                        <input name="login" type="text" placeholder="Email">
                                    </div>
                                </div>
                            </div>
                            <div class="form-item form-item_submit">
                                <div class="form-field">
                                    <div class="form-input form-input_button">
                                        <div class="btn fill" data-form-action="submit">Сбросить пароль
                                        </div>
                                    </div>
                                    <div><a href="#" data-popup-open=".popup_login">(Вспомнили пароль)</a></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        {% endif %}
        <div class="popup popup_feedback">
            <div class="popup__overlay"></div>
            <div class="popup__inner">
                <div class="popup__layout">
                    <div class="popup__close"></div>
                    <div class="popup__content">
                        <form class="form" action="{{ path('apiFeedbackNew') }}" method="post" autocomplete="off" data-from-name="feedback">
							<input name="url" type="hidden" value="{{ app.request.uri }}">
                            <div class="form-group">
                                <div class="form-item">
                                    <div class="form-title">Email</div>
                                    <div class="form-field">
                                        <div class="form-input form-input_text">
                                            <input name="email" type="text" placeholder="Email" value="{% if app.user is not null %}{{ app.user.email }}{% endif %}">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-item">
                                    <div class="form-title">Фамилия Имя Отчество</div>
                                    <div class="form-field">
                                        <div class="form-input form-input_text">
                                            <input name="fio" type="text" placeholder="Как к вам обращаться" value="{% if app.user is not null %}{{ app.user.fio }}{% endif %}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-item">
                                <div class="form-title">Сообщение</div>
                                <div class="form-field">
                                    <div class="form-input form-input_textarea">
                                        <textarea name="message" placeholder="Напишите вопрос, проблему или просто пожелания"></textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="form-item form-item_submit">
                                <div class="form-field">
                                    <div class="form-input form-input_button">
                                        <div class="btn fill" data-form-action="submit">Отправить</div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        {% block popups %} {% endblock %}
    </div>
    {% block microdata %} {% endblock %}
    <script type="text/javascript" src="{{ asset('assets/js/main.js') }}"></script>
    <script src="https://www.google.com/recaptcha/api.js?render=6LfhxdYZAAAAAE9KdDF33pO-wkmI2Jh-WOS_L_DF"></script>
    {% block javascripts %} {% endblock %}
</body>
</html>
